#pragma once

#include <wrl.h>

struct IWICImagingFactory;

class Win32WicInterface
{
public:
	Win32WicInterface();

	IWICImagingFactory* getFactory() const;

private:
	bool mIsValid{ false };
	Microsoft::WRL::ComPtr<IWICImagingFactory> mImagingFactory;
};